import { QRCodeErrorCorrectionLevel } from '@mintplayer/qr-code';
import { RgbaColor } from '../../types/rgba-color';
import * as i0 from "@angular/core";
export declare class QrCodeComponent {
    value?: string;
    size?: number;
    darkColor?: RgbaColor;
    lightColor?: RgbaColor;
    errorCorrectionLevel?: QRCodeErrorCorrectionLevel;
    centerImageSrc?: string;
    centerImageSize?: string | number;
    margin?: number;
    static ɵfac: i0.ɵɵFactoryDeclaration<QrCodeComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<QrCodeComponent, "qr-code", never, { "value": { "alias": "value"; "required": false; }; "size": { "alias": "size"; "required": false; }; "darkColor": { "alias": "darkColor"; "required": false; }; "lightColor": { "alias": "lightColor"; "required": false; }; "errorCorrectionLevel": { "alias": "errorCorrectionLevel"; "required": false; }; "centerImageSrc": { "alias": "centerImageSrc"; "required": false; }; "centerImageSize": { "alias": "centerImageSize"; "required": false; }; "margin": { "alias": "margin"; "required": false; }; }, {}, never, never, true, never>;
}
